import request from '@/utils/request'

// 查询保险订单列表
export function listInsuranceOrder(query) {
  return request({
    url: '/system/insuranceOrder/list',
    method: 'get',
    params: query
  })
}

// 查询保险订单详细
export function getInsuranceOrder(orderId) {
  return request({
    url: '/system/insuranceOrder/' + orderId,
    method: 'get'
  })
}

// 新增保险订单
export function addInsuranceOrder(data) {
  return request({
    url: '/system/insuranceOrder',
    method: 'post',
    data: data
  })
}

// 修改保险订单
export function updateInsuranceOrder(data) {
  return request({
    url: '/system/insuranceOrder',
    method: 'put',
    data: data
  })
}

// 删除保险订单
export function delInsuranceOrder(orderId) {
  return request({
    url: '/system/insuranceOrder/' + orderId,
    method: 'delete'
  })
}
